import { defineAsyncComponent } from 'vue'
import { createRouter, createWebHashHistory } from 'vue-router'

export const routers = createRouter({
  history: createWebHashHistory(),
  routes: [
    {
      path: '/',
      name: '登录页',
      component: defineAsyncComponent(() => import('../views/login.vue'))
    },
    {
      path: '/index',
      name: '首页',
      component: defineAsyncComponent(() => import('../views/index.vue')),
      children: [
        {
          path: '/404',
          name: '页面不存在',
          component: defineAsyncComponent(() => import('../views/error/404.vue'))
        },
        {
          path: '/EngineeringScreen',
          name: '智慧物业工程大屏',
          component: defineAsyncComponent(() => import('../views/engineeringScreen/index.vue'))
        }
      ]
    }
  ]
})
